<script src="https://use.fontawesome.com/6510770091.js"></script>
<div class="site-wrap">

    <div class="site-mobile-menu site-navbar-target">
        <div class="site-mobile-menu-header">
            <div class="site-mobile-menu-close">
                <span class="icon-close2 js-menu-toggle"></span>
            </div>
        </div>
        <div class="site-mobile-menu-body"></div>
    </div>

    <div class="hero overlay" style="background-image: url('assets/images/bg_3.jpg');">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-9 mx-auto text-center">
                    <h1 class="text-white">Table Players</h1>
                    <br>
                </div>
            </div>
        </div>
    </div>
    <br>

    <table class="table">
        <thead>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Player Name</th>
                <th scope="col">Team</th>
                <th scope="col">Score Number</th>
                <th scope="col">Age</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let player of players">
                <th scope="row">{{ player.id }}</th>
                <td>{{ player.playerName }}</td>
                <td>{{ player.team }}</td>
                <td>{{ player.scoreNumber }}</td>
                <td>{{ player.age }}</td>
                <td>
                    <button class="btn btn-danger" (click)="deletePlayer(player.id)">
                        🗑️
                    </button>
                </td>
                <td>
                    <button class="btn btn-success" (click)="navigate(player.id)">
                        ✅
                    </button>
                </td>
            </tr>
        </tbody>
    </table>
</div>
